OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | List of all members
MeshTraits Struct Reference
Inheritance diagram for MeshTraits:
[legend]
Collaboration diagram for MeshTraits:
[legend]

## Public Types

enum | { VertexAttributes = OpenMesh::Attributes::Status | OpenMesh::Attributes::Normal }
enum | { EdgeAttributes = OpenMesh::Attributes::Status }
enum | { FaceAttributes = OpenMesh::Attributes::Status | OpenMesh::Attributes::Normal }
typedef OpenMesh::Vec3f | Point
typedef OpenMesh::Vec3f | Normal
Public Types inherited from OpenMesh::Subdivider::Adaptive::CompositeTraits
enum | { FaceAttributes = OpenMesh::Attributes::Normal }
enum | { VertexAttributes = OpenMesh::Attributes::Normal }
enum | { HalfedgeAttributes = OpenMesh::Attributes::PrevHalfedge }
typedef int | state_t
| External representation for intermediate state.
typedef bool | final_t
| External representation for final flag.
Public Types inherited from OpenMesh::DefaultTraits
enum | { VertexAttributes = 0 }
enum | { HalfedgeAttributes = Attributes::PrevHalfedge }
enum | { EdgeAttributes = 0 }
enum | { FaceAttributes = 0 }
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

The documentation for this struct was generated from the following file:

- Unittests/unittests_subdivider_adaptive.hh